org.apache.tapestry5.corelib.pages

## Class ExceptionReport

- java.lang.Object
- - org.apache.tapestry5.corelib.base.AbstractInternalPage
  - - org.apache.tapestry5.corelib.pages.ExceptionReport

- All Implemented Interfaces:
    ExceptionReporter

      @UnknownActivationContextCheck(value=false)
       @ContentType(value="text/html")
       @Import(stylesheet="ExceptionReport.css")
      public class ExceptionReport
      extends AbstractInternalPage
      implements ExceptionReporter

  Responsible for reporting runtime exceptions. This page is quite verbose and is usually overridden in a production application. When `SymbolConstants.PRODUCTION_MODE` is "true", it is very abbreviated.
  See Also:
    `ExceptionDisplay`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExceptionReport.ActionLink` A link the user may press to perform an action (e.g., "Reload page").
    `class` | `ExceptionReport.ThreadInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.corelib.base.AbstractInternalPage

      `request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExceptionReport.ActionLink>` | `getActionLinks()`
    `Object` | `getAttributeValue()`
    `String[]` | `getComplexPropertyValue()`
    `boolean` | `getHasSession()`
    `String` | `getPropertyValue()`
    `Session` | `getSession()`
    `List<String>` | `getSystemProperties()` Returns a sorted list of system property names.
    `List<ExceptionReport.ThreadInfo>` | `getThreads()`
    `boolean` | `isComplexProperty()`
    `boolean` | `isShowActions()` Returns true for normal, non-XHR requests.
    `boolean` | `isShowReload()` Returns true in development mode; enables the "with reload" actions.
    `void` | `reportException(Throwable exception)` Used to communicate to the page what exception is to be reported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionReport

          public ExceptionReport()

  - ### Method Detail

    - #### isShowActions

          public boolean isShowActions()

      Returns true for normal, non-XHR requests. Links (to the failure page, or to root page) are only presented if showActions is true.

    - #### isShowReload

          public boolean isShowReload()

      Returns true in development mode; enables the "with reload" actions.

    - #### reportException

          public void reportException(Throwable exception)

      Description copied from interface: `ExceptionReporter`
      Used to communicate to the page what exception is to be reported.
      Specified by:
        `reportException` in interface `ExceptionReporter`
      Parameters:
        `exception` - runtime exception thrown during processing of the request

    - #### getActionLinks

          public List<ExceptionReport.ActionLink> getActionLinks()

    - #### getHasSession

          public boolean getHasSession()

    - #### getSession

          public Session getSession()

    - #### getAttributeValue

          public Object getAttributeValue()

    - #### getSystemProperties

          public List<String> getSystemProperties()

      Returns a sorted list of system property names.

    - #### getPropertyValue

          public String getPropertyValue()

    - #### isComplexProperty

          public boolean isComplexProperty()

    - #### getComplexPropertyValue

          public String[] getComplexPropertyValue()

    - #### getThreads

          public List<ExceptionReport.ThreadInfo> getThreads()

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.